ruby-rails-deprecated-sanitizer_1.0.3-1_all.deb


Advertisement

Description

ruby-rails-deprecated-sanitizer - HTML sanitizer API extracted from Action View

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-rails-deprecated-sanitizer
Package version 1.0.3
Package release 1
Package architecture all
Package type deb
Installed size 94 B
Download size 18.44 KB
Official Mirror archive.ubuntu.com
In Rails 4.2, HTML sanitization has been rewritten using a more secure
library.  This package includes the old behavior that shipped with Rails 4.2
and before, and is provided as a backwards compatibility layer.

Alternatives

Package Version Architecture Repository
ruby-rails-deprecated-sanitizer_1.0.3-1_all.deb 1.0.3 all Ubuntu Universe
ruby-rails-deprecated-sanitizer - - -

Requires

Name Value
ruby -
ruby-activesupport >= 2:4.2.0
ruby-interpreter -

Download

Type URL
Binary Package ruby-rails-deprecated-sanitizer_1.0.3-1_all.deb
Source Package ruby-rails-deprecated-sanitizer

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-rails-deprecated-sanitizer deb package:
    # sudo apt-get install ruby-rails-deprecated-sanitizer

Files

Path
/usr/lib/ruby/vendor_ruby/rails-deprecated_sanitizer.rb
/usr/lib/ruby/vendor_ruby/rails/deprecated_sanitizer.rb
/usr/lib/ruby/vendor_ruby/rails/deprecated_sanitizer/html-scanner.rb
/usr/lib/ruby/vendor_ruby/rails/deprecated_sanitizer/railtie.rb
/usr/lib/ruby/vendor_ruby/rails/deprecated_sanitizer/version.rb
/usr/lib/ruby/vendor_ruby/rails/deprecated_sanitizer/html-scanner/html/document.rb
/usr/lib/ruby/vendor_ruby/rails/deprecated_sanitizer/html-scanner/html/node.rb
/usr/lib/ruby/vendor_ruby/rails/deprecated_sanitizer/html-scanner/html/sanitizer.rb
/usr/lib/ruby/vendor_ruby/rails/deprecated_sanitizer/html-scanner/html/selector.rb
/usr/lib/ruby/vendor_ruby/rails/deprecated_sanitizer/html-scanner/html/tokenizer.rb
/usr/lib/ruby/vendor_ruby/rails/deprecated_sanitizer/html-scanner/html/version.rb
/usr/share/doc/ruby-rails-deprecated-sanitizer/README.md
/usr/share/doc/ruby-rails-deprecated-sanitizer/changelog.Debian.gz
/usr/share/doc/ruby-rails-deprecated-sanitizer/copyright
/usr/share/rubygems-integration/all/specifications/rails-deprecated_sanitizer-1.0.3.gemspec

Changelog

2015-08-13 - Antonio Terceiro <terceiro@debian.org>
ruby-rails-deprecated-sanitizer (1.0.3-1) unstable; urgency=medium
* Initial release (Closes: #792587)

See Also

Package Description
ruby-rails-dom-testing_1.0.6-1_all.deb SOM and Selector assertions for Rails applications
ruby-rails-html-sanitizer_1.0.3-2_all.deb HTML sanitization for Rails applications
ruby-rails-i18n_4.0.8-1_all.deb common locale data and translations for Rails i18n
ruby-rails-observers_0.1.2-1_all.deb toolkit to build Rails observers (part of Rails)
ruby-rails-timeago_2.11.1-2_all.deb Rails Helper to create time tags usable for jQuery Timeago plugin
ruby-rails-tokeninput_1.7.0-1_all.deb jquery tokeninput automated install
ruby-rails_4.2.6-1_all.deb MVC ruby based framework geared for web application development
ruby-railties_4.2.6-1_all.deb tools for creating, working with, and running Rails applications
ruby-rainbow_2.0.0-1_all.deb extension of Ruby String class enabling colored text on ANSI terminals
ruby-raindrops_0.16.0-1build1_i386.deb Real-time stats for preforking Rack servers
ruby-raphael-rails_2.1.2~dfsg-1_all.deb Raphael JS as for rails applications
ruby-rb-inotify_0.9.7-1_all.deb A Ruby wrapper for Linux's inotify, using FFI
ruby-rbpdf-font_1.19.0-1_all.deb Ruby library for PDF generation (font definitions)
ruby-rbpdf_1.19.0-1_all.deb Ruby library for PDF generation
ruby-rbvmomi_1.8.2-1_all.deb Ruby interface to the VMware vSphere API
Advertisement
Advertisement